[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# wtermsig

Return the signal that caused a process to exit.

## Declaration

Source position: bunxovlh.inc line 97

`function wtermsig(`
`Status: cint`
`):cint;`

## Description

WTERMSIG extracts from Status the signal number which caused the process to exit.

## See also

FpWaitPID |  | Wait for a process to terminate
WSTOPSIG |  | Return the exit code from the process.
WIFEXITED |  | Check whether the process exited normally
WIFSIGNALED |  | Check whether the process was exited by a signal.
WEXITSTATUS |  | Extract the exit status from the fpWaitPID result.